import { defineStore } from 'pinia'

interface ObjectList {
  [key: string]: string[]
}

export const useUserInfo = defineStore('userInfo', {
  state: () => {
    return {
      userInfo: {},
      user: {}
    }
  },
  actions: {
    setUserInfo(val: object) {
      this.userInfo = { ...val }
    },
    setUser(val: object) {
      this.user = { ...val }
    }
  }
})
